"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_typescript_1 = require("sequelize-typescript");
const model_1 = require("../model");
let Account = class Account extends sequelize_typescript_1.Model {
    get created_at() {
        return this.getDataValue('created_at');
    }
    get updated_at() {
        return this.getDataValue('updated_at');
    }
    get deleted_at() {
        return this.getDataValue('deleted_at');
    }
};
__decorate([
    sequelize_typescript_1.Column({
        primaryKey: true,
        type: sequelize_typescript_1.DataType.STRING(20),
        comment: '账户id'
    }),
    __metadata("design:type", String)
], Account.prototype, "id", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.DECIMAL(20, 10),
        comment: '余额'
    }),
    __metadata("design:type", Number)
], Account.prototype, "balance", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.DECIMAL(20, 10),
        comment: '比特币'
    }),
    __metadata("design:type", Number)
], Account.prototype, "bitcoin", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.CHAR(1),
        comment: '回测模式'
    }),
    __metadata("design:type", String)
], Account.prototype, "backtest", void 0);
__decorate([
    sequelize_typescript_1.HasMany(() => model_1.Position),
    __metadata("design:type", Array)
], Account.prototype, "positions", void 0);
__decorate([
    sequelize_typescript_1.HasMany(() => model_1.Transaction),
    __metadata("design:type", Array)
], Account.prototype, "transactions", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String),
    __metadata("design:paramtypes", [])
], Account.prototype, "created_at", null);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String),
    __metadata("design:paramtypes", [])
], Account.prototype, "updated_at", null);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String),
    __metadata("design:paramtypes", [])
], Account.prototype, "deleted_at", null);
Account = __decorate([
    sequelize_typescript_1.Table({
        timestamps: true,
        paranoid: true,
        underscored: true,
        tableName: 'account',
        comment: '账户'
    })
], Account);
exports.default = Account;
