"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_typescript_1 = require("sequelize-typescript");
const model_1 = require("../model");
let Candlestick = class Candlestick extends sequelize_typescript_1.Model {
    get created_at() {
        return this.getDataValue('created_at');
    }
    get updated_at() {
        return this.getDataValue('updated_at');
    }
    get deleted_at() {
        return this.getDataValue('deleted_at');
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.ForeignKey(() => model_1.SymbolInfo),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING(20),
        comment: '商品代码'
    }),
    __metadata("design:type", String)
], Candlestick.prototype, "symbol", void 0);
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING(10),
        comment: '日期'
    }),
    __metadata("design:type", String)
], Candlestick.prototype, "date", void 0);
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING(3),
        comment: 'K线单位'
    }),
    __metadata("design:type", String)
], Candlestick.prototype, "unit", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.FLOAT(10),
        comment: '收盘价'
    }),
    __metadata("design:type", Number)
], Candlestick.prototype, "close", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.FLOAT(10),
        comment: '开盘价'
    }),
    __metadata("design:type", Number)
], Candlestick.prototype, "open", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.FLOAT(10),
        comment: '最高价'
    }),
    __metadata("design:type", Number)
], Candlestick.prototype, "high", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.FLOAT(10),
        comment: '最低价'
    }),
    __metadata("design:type", Number)
], Candlestick.prototype, "low", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.BIGINT(50),
        comment: '成交量'
    }),
    __metadata("design:type", Number)
], Candlestick.prototype, "volume", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String),
    __metadata("design:paramtypes", [])
], Candlestick.prototype, "created_at", null);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String),
    __metadata("design:paramtypes", [])
], Candlestick.prototype, "updated_at", null);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String),
    __metadata("design:paramtypes", [])
], Candlestick.prototype, "deleted_at", null);
Candlestick = __decorate([
    sequelize_typescript_1.Table({
        timestamps: true,
        paranoid: true,
        underscored: true,
        tableName: 'candlestick',
        comment: 'K线数据'
    })
], Candlestick);
exports.default = Candlestick;
