"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_typescript_1 = require("sequelize-typescript");
const model_1 = require("../model");
let Market = class Market extends sequelize_typescript_1.Model {
    get created_at() {
        return this.getDataValue('created_at');
    }
    get updated_at() {
        return this.getDataValue('updated_at');
    }
    get deleted_at() {
        return this.getDataValue('deleted_at');
    }
};
__decorate([
    sequelize_typescript_1.Column({
        primaryKey: true,
        type: sequelize_typescript_1.DataType.STRING(20),
        comment: '代码'
    }),
    __metadata("design:type", String)
], Market.prototype, "code", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => model_1.Exchange),
    sequelize_typescript_1.Column({
        primaryKey: true,
        type: sequelize_typescript_1.DataType.STRING(20),
        comment: '交易所'
    }),
    __metadata("design:type", String)
], Market.prototype, "exchange", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => model_1.Exchange),
    __metadata("design:type", model_1.Exchange)
], Market.prototype, "ex", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING(50),
        comment: '名称'
    }),
    __metadata("design:type", String)
], Market.prototype, "name", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING(200),
        comment: '描述'
    }),
    __metadata("design:type", String)
], Market.prototype, "description", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String),
    __metadata("design:paramtypes", [])
], Market.prototype, "created_at", null);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String),
    __metadata("design:paramtypes", [])
], Market.prototype, "updated_at", null);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String),
    __metadata("design:paramtypes", [])
], Market.prototype, "deleted_at", null);
Market = __decorate([
    sequelize_typescript_1.Table({
        timestamps: true,
        paranoid: true,
        underscored: true,
        tableName: 'market',
        comment: '交易市场'
    })
], Market);
exports.default = Market;
