"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_typescript_1 = require("sequelize-typescript");
const model_1 = require("../model");
let Order = class Order extends sequelize_typescript_1.Model {
    get created_at() {
        return this.getDataValue('created_at');
    }
    get updated_at() {
        return this.getDataValue('updated_at');
    }
    get deleted_at() {
        return this.getDataValue('deleted_at');
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING(20),
        comment: '订单id'
    }),
    __metadata("design:type", String)
], Order.prototype, "id", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => model_1.Account),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING(20),
        comment: '账户id'
    }),
    __metadata("design:type", String)
], Order.prototype, "account_id", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => model_1.SymbolInfo),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING(20),
        comment: '商品代码'
    }),
    __metadata("design:type", String)
], Order.prototype, "symbol", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING(10),
        comment: '商品类型'
    }),
    __metadata("design:type", String)
], Order.prototype, "type", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.CHAR(10),
        comment: '方向'
    }),
    __metadata("design:type", String)
], Order.prototype, "side", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.DECIMAL(20, 10),
        comment: '价格'
    }),
    __metadata("design:type", Number)
], Order.prototype, "price", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.DECIMAL(20, 10),
        comment: '股数'
    }),
    __metadata("design:type", Number)
], Order.prototype, "quantity", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.CHAR(10),
        comment: '状态'
    }),
    __metadata("design:type", String)
], Order.prototype, "status", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.CHAR(1),
        comment: '回测模式'
    }),
    __metadata("design:type", String)
], Order.prototype, "backtest", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING(20),
        comment: '模拟时间'
    }),
    __metadata("design:type", String)
], Order.prototype, "mocktime", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String),
    __metadata("design:paramtypes", [])
], Order.prototype, "created_at", null);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String),
    __metadata("design:paramtypes", [])
], Order.prototype, "updated_at", null);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String),
    __metadata("design:paramtypes", [])
], Order.prototype, "deleted_at", null);
Order = __decorate([
    sequelize_typescript_1.Table({
        timestamps: true,
        paranoid: true,
        underscored: true,
        tableName: 'order',
        comment: '订单'
    })
], Order);
exports.default = Order;
